Skip to main content

account disaster-recovery command group

note

Databricks CLI use is subject to the Databricks License and Databricks Privacy Notice, including any Usage Data provisions.

The account disaster-recovery command group within the Databricks CLI contains commands to manage disaster recovery configurations and execute failover operations for your Databricks account.

databricks account disaster-recovery create-failover-group

Create a new failover group in the Databricks account.

databricks account disaster-recovery create-failover-group PARENT FAILOVER_GROUP_ID REGIONS WORKSPACE_SETS INITIAL_PRIMARY_REGION [flags]

Arguments

PARENT

    The parent resource. Format: accounts/{account_id}.

FAILOVER_GROUP_ID

    Client-provided identifier for the failover group. Used to construct the resource name as {parent}/failover-groups/{failover_group_id}.

REGIONS

    List of all regions participating in this failover group.

WORKSPACE_SETS

    Workspace sets, each containing workspaces that replicate to each other.

INITIAL_PRIMARY_REGION

    Initial primary region. Used only in Create requests to set the starting primary region. Not returned in responses.

Options

--json JSON

 Either inline JSON string or @path/to/file.json with request body.

--name string

 Fully qualified resource name in the format accounts/{account_id}/failover-groups/{failover_group_id}.

--validate-only

 When true, validates the request without creating the failover group.

Global flags

databricks account disaster-recovery create-stable-url

Create a new stable URL in the Databricks account.

databricks account disaster-recovery create-stable-url PARENT STABLE_URL_ID INITIAL_WORKSPACE_ID [flags]

Arguments

PARENT

    The parent resource. Format: accounts/{account_id}.

STABLE_URL_ID

    Client-provided identifier for the stable URL. Used to construct the resource name as {parent}/stable-urls/{stable_url_id}.

INITIAL_WORKSPACE_ID

    The workspace this stable URL is initially bound to. Used only in Create requests to associate the stable URL with a workspace. Not returned in responses.

Options

--json JSON

 Either inline JSON string or @path/to/file.json with request body.

--name string

 Fully qualified resource name.

--validate-only

 When true, validates the request without creating the stable URL.

Global flags

databricks account disaster-recovery delete-failover-group

Delete a failover group from the Databricks account.

databricks account disaster-recovery delete-failover-group NAME [flags]

Arguments

NAME

    The fully qualified resource name of the failover group to delete. Format: accounts/{account_id}/failover-groups/{failover_group_id}.

Options

--etag string

 Opaque version string for optimistic locking.

Global flags

databricks account disaster-recovery delete-stable-url

Delete a stable URL from the Databricks account.

databricks account disaster-recovery delete-stable-url NAME [flags]

Arguments

NAME

    The fully qualified resource name. Format: accounts/{account_id}/stable-urls/{stable_url_id}.

Options

Global flags

databricks account disaster-recovery failover-failover-group

Initiate a failover of a failover group to a new primary region.

databricks account disaster-recovery failover-failover-group NAME TARGET_PRIMARY_REGION FAILOVER_TYPE [flags]

Arguments

NAME

    The fully qualified resource name of the failover group to failover. Format: accounts/{account_id}/failover-groups/{failover_group_id}.

TARGET_PRIMARY_REGION

    The target primary region. Must be one of the participating regions and different from the current effective_primary_region. Serves as an idempotency check.

FAILOVER_TYPE

    The type of failover to perform. Supported values: FORCED.

Options

--etag string

 Opaque version string for optimistic locking.

--json JSON

 Either inline JSON string or @path/to/file.json with request body.

Global flags

databricks account disaster-recovery get-failover-group

Get a failover group.

databricks account disaster-recovery get-failover-group NAME [flags]

Arguments

NAME

    The fully qualified resource name of the failover group. Format: accounts/{account_id}/failover-groups/{failover_group_id}.

Options

Global flags

databricks account disaster-recovery get-stable-url

Get a stable URL.

databricks account disaster-recovery get-stable-url NAME [flags]

Arguments

NAME

    The fully qualified resource name. Format: accounts/{account_id}/stable-urls/{stable_url_id}.

Options

Global flags

databricks account disaster-recovery list-failover-groups

List failover groups in the Databricks account.

databricks account disaster-recovery list-failover-groups PARENT [flags]

Arguments

PARENT

    The parent resource. Format: accounts/{account_id}.

Options

--limit int

 Maximum number of results to return.

--page-size int

 Maximum number of failover groups to return per page. When set to a value greater than 0, the page length is the minimum of this value and a server configured value. When set to 0 or unset, the page length is set to a server configured value (recommended). When set to a value less than 0, an invalid parameter error is returned.

Global flags

databricks account disaster-recovery list-stable-urls

List stable URLs for the Databricks account.

databricks account disaster-recovery list-stable-urls PARENT [flags]

Arguments

PARENT

    The parent resource. Format: accounts/{account_id}.

Options

--limit int

 Maximum number of results to return.

--page-size int

 Maximum number of stable URLs to return per page. When set to a value greater than 0, the page length is the minimum of this value and a server configured value. When set to 0 or unset, the page length is set to a server configured value (recommended). When set to a value less than 0, an invalid parameter error is returned.

Global flags

databricks account disaster-recovery update-failover-group

Update a failover group in the Databricks account.

databricks account disaster-recovery update-failover-group NAME UPDATE_MASK REGIONS WORKSPACE_SETS INITIAL_PRIMARY_REGION [flags]

Arguments

NAME

    Fully qualified resource name in the format accounts/{account_id}/failover-groups/{failover_group_id}.

UPDATE_MASK

    Comma-separated list of fields to update.

REGIONS

    List of all regions participating in this failover group.

WORKSPACE_SETS

    Workspace sets, each containing workspaces that replicate to each other.

INITIAL_PRIMARY_REGION

    Initial primary region. Used only in Create requests to set the starting primary region. Not returned in responses.

Options

--etag string

 Optional opaque version string for optimistic locking, obtained from a prior read of the failover group.

--json JSON

 Either inline JSON string or @path/to/file.json with request body.

--name string

 Fully qualified resource name in the format accounts/{account_id}/failover-groups/{failover_group_id}.

Global flags

Global flags

--debug

  Whether to enable debug logging.

-h or --help

    Display help for the Databricks CLI or the related command group or the related command.

--log-file string

    A string representing the file to write output logs to. If this flag is not specified then the default is to write output logs to stderr.

--log-format format

    The log format type, text or json. The default value is text.

--log-level string

    A string representing the log format level. If not specified then the log format level is disabled.

-o, --output type

    The command output type, text or json. The default value is text.

-p, --profile string

    The name of the profile in the ~/.databrickscfg file to use to run the command. If this flag is not specified then if it exists, the profile named DEFAULT is used.

--progress-format format

    The format to display progress logs: default, append, inplace, or json

-t, --target string

    If applicable, the bundle target to use